<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            #{valueSetManagerSVS.initCreateValueSet()}
            <h1>#{messages['net.ihe.gazelle.svssimulator.CreateValueSet']}</h1>
            <s:div id="valueSetGlobalDiv">
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.svs.ValueSetEdition']}</ui:define>

                    <div class="row">
                        <div class="col-lg-6">
                            <ui:decorate id="oidDecorate" template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:param name="required" value="true"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.simulators.OID']}</ui:define>
                                <ui:param name="id" value="oid"/>
                                <h:inputText styleClass="form-control" id="oid" required="true"
                                             value="#{valueSetManagerSVS.selectedValueSet.id}">
                                    <a4j:ajax event="blur" render="oidDecorate"/>
                                </h:inputText>
                            </ui:decorate>
                        </div>
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.Purpose']}</ui:define>
                                <ui:param name="id" value="purpose"/>
                                <h:inputText styleClass="form-control" id="purpose"
                                             value="#{valueSetManagerSVS.selectedValueSet.purpose}"/>
                            </ui:decorate>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.DisplayName_2']}</ui:define>
                                <ui:param name="id" value="displayName"/>
                                <h:inputText styleClass="form-control" id="displayName"
                                             value="#{valueSetManagerSVS.selectedValueSet.displayName}"
                                />
                            </ui:decorate>
                        </div>
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.Definition']}</ui:define>
                                <ui:param name="id" value="definition"/>
                                <h:inputText styleClass="form-control" id="definition"
                                             value="#{valueSetManagerSVS.selectedValueSet.definition}"/>
                            </ui:decorate>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.simulator.version']}</ui:define>
                                <ui:param name="id" value="version"/>
                                <h:inputText styleClass="form-control" id="version"
                                             value="#{valueSetManagerSVS.selectedValueSet.version}"
                                />
                            </ui:decorate>
                        </div>
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.SourceURI']}</ui:define>
                                <ui:param name="id" value="sourceURI"/>
                                <h:inputText styleClass="form-control" id="sourceURI"
                                             value="#{valueSetManagerSVS.selectedValueSet.sourceURI}"/>
                            </ui:decorate>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.Source']}</ui:define>
                                <ui:param name="id" value="source"/>
                                <h:inputText styleClass="form-control" id="source"
                                             value="#{valueSetManagerSVS.selectedValueSet.source}"
                                />
                            </ui:decorate>
                        </div>
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.Binding']}</ui:define>
                                <ui:param name="id" value="binding"/>
                                <h:selectOneMenu styleClass="form-control" id="binding"
                                                 value="#{valueSetManagerSVS.selectedValueSet.binding}">
                                    <f:selectItems value="#{valueSetManagerSVS.getAvailableBindingsAsItem()}"/>
                                </h:selectOneMenu>
                            </ui:decorate>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.Status']}</ui:define>
                                <ui:param name="id" value="status"/>
                                <h:selectOneMenu styleClass="form-control" id="status"
                                                 defaultLabel="#{valueSetManagerSVS.selectedValueSet.status}"
                                                 value="#{valueSetManagerSVS.selectedValueSet.status}">
                                    <f:selectItem itemValue="Active"/>
                                    <f:selectItem itemValue="Inactive"/>
                                </h:selectOneMenu>
                            </ui:decorate>
                        </div>
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.Type']}</ui:define>
                                <ui:param name="id" value="type"/>
                                <h:selectOneMenu styleClass="form-control" id="type"
                                                 value="#{valueSetManagerSVS.selectedValueSet.type}">
                                    <f:selectItems value="#{valueSetManagerSVS.getAvailableTypesAsItem()}"/>
                                </h:selectOneMenu>
                            </ui:decorate>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.EffectiveDate']}</ui:define>
                                <ui:param name="id" value="effectiveDate"/>
                                <rich:calendar id="effectiveDate"
                                               value="#{valueSetManagerSVS.selectedValueSet.effectiveDateUtil}"
                                               locale="#{localeSelector.localeString}" datePattern="dd/MM/yyyy"
                                               showApplyButton="false" style="width:200px"/>
                            </ui:decorate>
                        </div>
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.ExpirationDate']}</ui:define>
                                <ui:param name="id" value="expirationDate"/>
                                <rich:calendar id="expirationDate"
                                               value="#{valueSetManagerSVS.selectedValueSet.expirationDateUtil}"
                                               locale="#{localeSelector.localeString}" datePattern="dd/MM/yyyy"
                                               showApplyButton="false" style="width:200px"/>
                            </ui:decorate>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.CreationDate']}</ui:define>
                                <ui:param name="id" value="creationDate"/>
                                <rich:calendar id="creationDate"
                                               value="#{valueSetManagerSVS.selectedValueSet.creationDateUtil}"
                                               locale="#{localeSelector.localeString}" datePattern="dd/MM/yyyy"
                                               showApplyButton="false" style="width:200px"/>
                            </ui:decorate>
                        </div>
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.RevisionDate']}</ui:define>
                                <ui:param name="id" value="revisionDate"/>
                                <rich:calendar id="revisionDate"
                                               value="#{valueSetManagerSVS.selectedValueSet.revisionDateUtil}"
                                               locale="#{localeSelector.localeString}" datePattern="dd/MM/yyyy"
                                               showApplyButton="false" style="width:200px"/>
                            </ui:decorate>
                        </div>
                    </div>

                    <ui:define name="panel_footer">
                        <a4j:commandButton value="#{messages['gazelle.svs.SaveValueSet']}"
                                           styleClass="gzl-btn-blue"
                                           action="#{valueSetManagerSVS.saveValueSet()}"
                                           render="valueSetGlobalDiv"/>
                        <a4j:commandButton value="#{messages['gazelle.svs.Back']}"
                                           styleClass="gzl-btn"
                                           action="/browser/valueSetBrowser.seam"
                                           immediate="true" execute="@this"/>
                    </ui:define>

                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>